Redmine - Feature #15309

Encrypt email notifications and accept encrypted incoming mail
2013-11-09 13:21 - Marcel M

Status: New Start date:

Priority: Normal Due date:

Assignee: Jan from Planio www.plan.io % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution:

Description
When Redmine sends e-mails due to ticket updates the emails may contain sensitive information.

Thus it would be great if the user could upload his S/MIME certificate to redmine (next to where he enters his e-mail address)
All mails sent to the user will then be encrypted.

Instead of SMIME other encryptions standards could be used but my favorite one is SMIME

History

#1 - 2013-12-11 04:01 - Jan from Planio www.plan.io
- Subject changed from Encrypt emails with SMIME to Encrypt email notifications and accept encrypted incoming mail

- Assignee set to Jan from Planio www.plan.io

Our colleague Jens here at Planio has something in the works using PGP/MIME which is IMHO a much better option than S/MIME, especially for an
open source project like Redmine.

I will submit it here for discussion once it's ready. It is based on his open source Mail::Gpg gem. For the interested, there's a lengthy blog article about
it.

#2 - 2014-11-11 18:56 - VaibhaV Sharma

Any update on this feature? We would love to have SMIME enabled on at least email notifications. Incoming email SMIME processing can be handled
later.

#3 - 2014-12-03 05:09 - Mike -

+1

#4 - 2015-09-04 07:05 - Alexander Blum

| implemented PGP encrytion: https://www.redmine.org/plugins/openpgp

It's tested using redmine 3.1.0, although it may work with other versions as well. Feedback is appreciated, especially regarding compatibility.

#5 - 2020-07-30 22:09 - Lu Pon
Hello Alexander, | created an issue for installing on 4.x -> https://github.com/C3S/redmine_openpgp/issues/23

#6 - 2020-08-18 15:39 - Lu Pon

| found a forked updated version: https://github.com/freedomofpress/redmine_openpgp
